cURL
请先获取 API Key 并配置为环境变量。
检测图像是否符合 AnimateAnyone 视频生成模型的人物图像规格要求
curl --location --request POST 'https://dashscope.aliyuncs.com/api/v1/services/aigc/image2video/aa-detect' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "animate-anyone-detect-gen2",
"input": {
"image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20251224/pkswoc/p883941.png"
}
}'{
"output": {
"check_pass": true,
"bodystyle": "full"
},
"usage": {
"image_count": 1
},
"request_id": "76df937d-6eb6-40aa-9ccf-xxxxxx"
}千问云 API Key。详见获取 API Key。
模型名称,固定为 animate-anyone-detect-gen2。
输入图像参数。
显示子属性
待检测图像的公网可访问 URL。必须为 HTTP 或 HTTPS 协议的公网可访问地址。
<Tip>如需将本地图像上传获取临时 URL,请参考上传文件获取临时URL。</Tip>
请求唯一标识符,用于链路追踪和问题排查。
curl --location --request POST 'https://dashscope.aliyuncs.com/api/v1/services/aigc/image2video/aa-detect' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "animate-anyone-detect-gen2",
"input": {
"image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20251224/pkswoc/p883941.png"
}
}'{
"output": {
"check_pass": true,
"bodystyle": "full"
},
"usage": {
"image_count": 1
},
"request_id": "76df937d-6eb6-40aa-9ccf-xxxxxx"
}